### Method

# Gtk ColumnViewscroll_to

since: 4.12

#### Declaration [src]

    void
    gtk_column_view_scroll_to (
      GtkColumnView* self,
      guint pos,
      GtkColumnViewColumn* column,
      GtkListScrollFlags flags,
      GtkScrollInfo* scroll
    )

#### Description [src]

Scroll to the row at the given position - or cell if a column is given - and performs the actions specified in `flags`.

This function works no matter if the listview is shown or focused. If it isn’t, then the changes will take effect once that happens.

Available since: 4.12

#### Parameters

`pos`

  Type: `guint`

  Position of the item.

`column`

  Type: `GtkColumnViewColumn`

  The column to scroll to or `NULL` to not scroll columns.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `GtkListScrollFlags`

  Actions to perform.

`scroll`

  Type: `GtkScrollInfo`

  Details of how to perform the scroll operation or `NULL` to scroll into view.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.